# Login with SPID/EIDAS with a browser

Endpoint: GET /{environment_name}/spidlogin
Version: 26.0.0
Security: ApiKeyAuth

## Path parameters:

  - `environment_name` (string, required)
    The environment path provided by Namirial during the assessment phase

## Query parameters:

  - `reference` (string)
    Client reference for billing purposes.

  - `final` (string, required)
    Redirect URL called at the end of the authentication process. Provided during the assessment phase.

  - `authnKey` (string, required)
    The authn key obtained from the getKey endpoint

## Response 200:

  - `200` (unknown)
    Redirects the browser to the identity provider login page. After successful authentication, the user is redirected to the final URL with `sessionid` and `sessionkey` query parameters. Pass them to the Get user token endpoint to retrieve the JWT.

## Response 400:

  - `400` (unknown)
    Wrong parameters

## Response 403:

  - `403` (unknown)
    Forbidden error

